// Common description constant
const commonDescription =
  "UK Manufactured cartridges to the highest standards which are high speed balanced. These cartridges are the perfect replacements for old and worn cartridges, without having to spend money on brand new turbos or taking chances on used turbos. If the turbocharger is internally damaged, or if the turbocharger seals are leaking oil this will resolve the issue.\n\n Please diagnose for boost leaks, failed wastegates and source of turbo failure to ensure a successful repair.";

// Example data object for model details
const modelDetails = {
  audi1: {
    name: "A3 2006-2008 FWD 2.0 TFSI",
    subtitle: "For vehicles with 2.0T FSI Engines only",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi2: {
    name: "A3 2008-2013 FWD/Quattro 2.0 TFSI",
    subtitle: "For vehicles with 2.0T TFSI Engines only",
    partnumberLeft: "OEM Part Number : 06J145713K",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi3: {
    name: "A3 2015-2022 FWD/Quattro 2.0TFSI",
    subtitle: "For Audi A3 with CZRA/CNTC engine and 2.0TFSI",
    partnumberLeft: "OEM Part Number : 06K145874M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi4: {
    name: "A3 2015-2020 Quattro 1.8T/1.8T Gen3",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06K145713L",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi5: {
    name: "A3 2010-2016 2.0 TDI",
    subtitle: "For Audi A3 with 2.0 TDI Engine",
    partnumberLeft: "OEM Part Number : 04L253010B",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi6: {
    name: "A3 2015-2016 FWD 1.8TFSI",
    subtitle: "For Audi A3 with CNSB engine and 1.8Tfsi",
    partnumberLeft: "OEM Part Number : 06K145713L 8V 1.8T",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi9: {
    name: "S4 2000-2002 2.7T ",
    subtitle: "",
    partnumberLeft:
      "OEM cross reference number: 078145701S (LEFT SIDE) Borg Warner K03",
    partnumberRight:
      "OEM cross reference number:078145702S (RIGHT SIDE) Borg Warner K03",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "$650.00 USD",
    cadRightPrice: "$850.00 CAD",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "$850.00 USD",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "$1000.00 CAD",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI S4",
    rating: 5,
    isNew: false,
  },
  audi10: {
    name: "RS4 2000-2002 2.7T ",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI RS4",
    rating: 5,
    isNew: false,
  },
  audi11: {
    name: "A4 2006-2009 FWD/Quattro 2.0TFSI",
    subtitle: "For Audi A4 FWD/Quattro 2.0t FSI Engines",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },

  audi12: {
    name: "A4 2009-2016 FWD/Quattro 2.0TFSI",
    subtitle: "For B8 A4 FWD AND Quattro Models, 2.0TFSI",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi13: {
    name: "A4 2017-2020 FWD/Quattro 2.0TFSI",
    subtitle: "For B9 A4 FWD AND Quattro Models, 2.0TFSI Engines",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi14: {
    name: "A4 2021-2024 FWD And Quattro",
    subtitle: "PRODUCTS COMING SOON",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi16: {
    name: "A5 2009-2017 2.0T FWD/Quattro",
    subtitle: "For B8 A5 FWD AND Quattro Models, 2.0TFSI Engines",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
    isNew: false,
  },
  audi17: {
    name: "A5 (2018-2024) 2.0T Quattro ",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06L145874E",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
    isNew: false,
  },
  audi18: {
    name: "S5 3.0T (2016-2024)",
    subtitle: "PRODUCTS COMING SOON",
    partnumberLeft: "N/A",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI S5",
    rating: 5,
    isNew: false,
  },
  audi19: {
    name: "Q3 2015-2018 FWD/Quattro",
    subtitle: "For Audi Q3 FWD and AWD 2.0T",
    partnumberLeft: "OEM Part Number : 06J145713K IHI BRAND",
    partnumberRight: "OEM Part Number : 06J145713K Borg Warner",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "$650.00 USD",
    cadRightPrice: "$850.00 CAD",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q3",
    rating: 5,
    isNew: false,
  },
  audi20: {
    name: "Q3 2019-2022 Quattro ",
    subtitle: "PRODUCTS COMING SOON",
    partnumberLeft: "N/A",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q3",
    rating: 5,
    isNew: false,
  },
  audi54: {
    name: "Q5 2009-2012",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06H145702S",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi55: {
    name: "Q5 2013-2017",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06H145703S",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi23: {
    name: "Q5 2018-2019",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06F145907D",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi24: {
    name: "Q5 TDI 3.0",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 059145874M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi57: {
    name: "TT 2000-2001 W/ATC Engine Code 180hp",
    subtitle: "For Audi TT with 1.8T ATC engine code",
    partnumberLeft: "OEM Part Number : 06A145704B",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi59: {
    name: "TT 2000-2002 W/ AMU Engine Code 225hp",
    subtitle: "For Audi TT with 1.8T AMU engine code",
    partnumberLeft: "OEM Part Number : 06A145713D",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi58: {
    name: "TT 2001-2006 W/AWP Engine Code 180hp",
    subtitle: "For Audi TT with 1.8T AWP engine code",
    partnumberLeft: "OEM Part Number : 06A145713D",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi60: {
    name: "TT 2003-2006 W/ BEA Engine Code 225hp",
    subtitle: "For Audi TT with 1.8T BEA engine code",
    partnumberLeft: "OEM Part Number : 06A145704QX",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi29: {
    name: "TT 2006-2008 W/BPY Engine Code 180hp",
    subtitle: "For Audi TT with 2.0T BPY engine code",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },

  audi30: {
    name: "TT MK2 2008-2014",
    subtitle: "For Audi TT with 2.0T CCTA engine code",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi64: {
    name: "TT MK3 2016-2023",
    subtitle: "For Audi TT 2016-2023 All Models",
    partnumberLeft: "OEM Part Number : 06J145874M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi62: {
    name: "TT with CCTA Engine Code ",
    subtitle: "For Audi TT with 2.0T CCTA engine code",
    partnumberLeft: "OEM Part Number :  06J145713K",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi63: {
    name: "TT 2011-2015 Quattro",
    subtitle: "For Audi TT with 2.0T Quattro NON TTS",
    partnumberLeft: "OEM Part Number :   06J145713K",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi65: {
    name: "TTS 2009-2013",
    subtitle: "For Audi TTS 2009-2013 All Models",
    partnumberLeft: "OEM Part Number : 06F145702C",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TTS",
    rating: 5,
    isNew: false,
  },
  audi66: {
    name: "TTS 2014-2023",
    subtitle: "For Audi TTS 2014-2023 All Models",
    partnumberLeft: "OEM Part Number : 06K145722H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TTS",
    rating: 5,
    isNew: false,
  },
};

// Function to render product details
function renderProductDetails(productDiv, modelData) {
  // Find elements for name, prices, and part numbers within each product div
  const modelNameElement = productDiv.querySelector("#model-name");
  const modelLeftPriceElement = productDiv.querySelector("#model-left-price");
  const modelRightPriceElement = productDiv.querySelector("#model-right-price");
  const partNumberLeftElement = productDiv.querySelector("#part-number-left");
  const partNumberRightElement = productDiv.querySelector("#part-number-right");

  // Update name and prices in the div
  modelNameElement.textContent = modelData.name;

  // Initially render the price based on the default selected currency (USD)
  const selectedCurrency = document.getElementById("currencySelect").value;
  if (selectedCurrency === "USD") {
    modelLeftPriceElement.textContent = modelData.usdLeftPrice;
    modelRightPriceElement.textContent = modelData.usdRightPrice;
  } else if (selectedCurrency === "CAD") {
    modelLeftPriceElement.textContent = modelData.cadLeftPrice;
    modelRightPriceElement.textContent = modelData.cadRightPrice;
  }

  // Render part numbers dynamically
  partNumberLeftElement.textContent = modelData.partnumberLeft;
  partNumberRightElement.textContent = modelData.partnumberRight;

  // New: Render mainCategory, subCategory, description, and rating
  const mainCategoryElement = productDiv.querySelector("#model-main-category");
  const subCategoryElement = productDiv.querySelector("#model-sub-category");
  const descriptionElement = productDiv.querySelector("#model-description");
  const ratingElement = productDiv.querySelector("#model-rating");

  if (mainCategoryElement)
    mainCategoryElement.textContent = `Category: ${modelData.mainCategory}`;
  if (subCategoryElement)
    subCategoryElement.textContent = `Subcategory: ${modelData.subCategory}`;
  if (descriptionElement)
    descriptionElement.textContent = modelData.description;
  if (ratingElement)
    ratingElement.textContent = `Rating: ${modelData.rating} stars`;
  // New: Conditionally render the right-oem section based on usdRightPrice
  const rightOemDiv = productDiv.querySelector(".right-oem");
  if (modelData.usdRightPrice && modelData.usdRightPrice.trim() !== "") {
    // If usdRightPrice exists and is not empty, display the div
    rightOemDiv.style.display = "block";
  } else {
    // Otherwise, hide it
    rightOemDiv.style.display = "none";
  }
}

// Function to render all products
function renderAllProducts() {
  const productContainer = document.getElementById("product-container");

  // Loop through modelDetails to create product divs
  Object.keys(modelDetails).forEach((modelKey, index) => {
    const model = modelDetails[modelKey];

    // Create the product div
    const productDiv = document.createElement("div");
    productDiv.classList.add("col-lg-4", "col-md-6", "col-sm-6", "orangeboxs");
    productDiv.id = `div${index + 1}`;

    // Add the onClick function to redirect
    productDiv.onclick = () => redirectToModelPage(modelKey);
    const badgeContent = model.isNew
      ? '<li><span class="badge badge-primary">REPEATED "NAME" PRODUCT</span></li>'
      : '<li><span class="badge badge-danger">SALE</span></li>';

    // Your existing function to handle the redirection

    // Add inner HTML structure
    productDiv.innerHTML = `
      <div class="product_item">
        <ul class="badge_group unordered_list">
           ${badgeContent}
        </ul>
        <a class="item_image">
          <img src="assets/images/products/product_img_1.png" alt="ProMotors - Product Image"/>
        </a>
        <div class="item_content">
          <a href="" class="whitecol">${model.mainCategory}</a>
          <h3 class="item_title">
            <a id="model-name">${model.name}</a>
          </h3>
          <h6><a class="orangecol">${model.subtitle}</a>
                        </h6>
          <div class="item_footer">
            <div class="item_price">
              <span id="model-left-price" class="sale_price">${model.usdLeftPrice}</span>
            </div>
            <a class="btn-link">
              <span class="btn_icon"><i class="fa-regular fa-angle-right"></i></span>
              <span class="btn_text">
                <small>Add To Cart</small>
                <small>Add To Cart</small>
              </span>
            </a>
          </div>
          <a class="item_brand">
            <span id="part-number-left">${model.partnumberLeft}</span>
          </a>
          <div class="item_footer">
            <div class="item_price">
              <span id="model-right-price" class="sale_price">${model.usdRightPrice}</span>
            </div>
            <span class="right-oem">
            <a class="btn-link">
              <span class="btn_icon"><i class="fa-regular fa-angle-right"></i></span>
              <span class="btn_text">
                <small>Add To Cart</small>
                <small>Add To Cart</small>
              </span>
            </a>
            </span>
          </div>
          <a class="item_brand">
            <span id="part-number-right">${model.partnumberRight}</span>
          </a>
        </div>
        <ul class="cart_btns_group unordered_list_block">
          <li><a href="audi.html"><i class="fa-light fa-heart"></i></a></li>
          <li><a href="audi.html"><i class="fa-light fa-eye"></i></a></li>
          <li><a href="audi.html"><i class="fa-light fa-code-compare"></i></a></li>
        </ul>
      </div>
    `;

    // Render product details
    renderProductDetails(productDiv, model);

    // Append the product div to the container
    productContainer.appendChild(productDiv);
  });
}

// Function to update the prices based on selected currency
function updatePricesBasedOnCurrency() {
  const selectedCurrency = document.getElementById("currencySelect").value;

  document.querySelectorAll(".product_item").forEach((productDiv) => {
    const modelId = `audi${productDiv.parentElement.id.replace("div", "")}`;
    const modelData = modelDetails[modelId];

    // Check if modelData exists for this ID
    if (modelData) {
      const modelLeftPriceElement =
        productDiv.querySelector("#model-left-price");
      const modelRightPriceElement =
        productDiv.querySelector("#model-right-price");

      // Update prices based on selected currency
      if (selectedCurrency === "USD") {
        modelLeftPriceElement.textContent = modelData.usdLeftPrice;
        modelRightPriceElement.textContent = modelData.usdRightPrice;
      } else if (selectedCurrency === "CAD") {
        modelLeftPriceElement.textContent = modelData.cadLeftPrice;
        modelRightPriceElement.textContent = modelData.cadRightPrice;
      }
    }
  });
}

// Event listener for when the dropdown selection changes
document
  .getElementById("currencySelect")
  .addEventListener("change", updatePricesBasedOnCurrency);

// Call renderAllProducts when the page loads
document.addEventListener("DOMContentLoaded", renderAllProducts);

// Function to handle redirection with the product key in the URL
function redirectToModelPage(modelKey) {
  window.location.href = `audi-dynamic-page.html?product=${modelKey}`;
}
