// Common description constant
const commonDescription =
  "UK Manufactured cartridges to the highest standards which are high speed balanced. These cartridges are the perfect replacements for old and worn cartridges, without having to spend money on brand new turbos or taking chances on used turbos. If the turbocharger is internally damaged, or if the turbocharger seals are leaking oil this will resolve the issue.\n\n Please diagnose for boost leaks, failed wastegates and source of turbo failure to ensure a successful repair.";

// Example data object for model details
const modelDetails = {
  audi1: {
    name: "A3 2006-2008 FWD 2.0 TFSI",
    subtitle: "For vehicles with 2.0T FSI Engines only",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
  },
  audi2: {
    name: "A3 FWD/Quattro 2008-2013 2.0 TFSI",
    subtitle: "For vehicles with 2.0T FSI Engines only",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
  },
  audi3: {
    name: "A3 FWD/Quattro 2015-2022 2.0TFSI",
    subtitle: "For Audi A3 with CZRA/CNTC engine and 2.0TFSI",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
  },
  audi4: {
    name: "A3 Quattro 2015-2020 1.8T/1.8T Gen3",
    subtitle: "",
    price: "$850.00",
    originalPrice: "$1000.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
  },
  audi5: {
    name: "A3 2012-2016 2.0 TDI",
    subtitle: "For Audi A3 with 2.0 TDI Engine",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
  },
  audi6: {
    name: "A3 FWD 2015-2016 1.8TFSI",
    subtitle: "For Audi A3 with CNSB engine and 1.8Tfsi",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
  },
  audi7: {
    name: "1996-2005 A4 FWD/Quattro 1.8T K03",
    subtitle: "",
    price: "$850.00",
    originalPrice: "$1000.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
  },
  audi8: {
    name: "1996-2005 A4 FWD/Quattro 1.8T K04-0015",
    subtitle: "",
    price: "$850.00",
    originalPrice: "$1000.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
  },
  audi9: {
    name: "AUDI S4 2.7T (2000-2002)",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI S4",
    rating: 5,
  },
  audi10: {
    name: "AUDI RS4 2.7T (2000-2002)",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI RS4",
    rating: 5,
  },
  audi11: {
    name: "A4 2006-2009 FWD/Quattro 2.0TFSI",
    subtitle: "For Audi A4 FWD/Quattro 2.0t FSI Engines",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
  },
  audi12: {
    name: "A4 2009-2016 FWD/Quattro 2.0TFSI",
    subtitle: "For B8 A4 FWD AND Quattro Models, 2.0TFSI",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
  },
  audi13: {
    name: "A4 2017-2020 FWD/Quattro 2.0TFSI",
    subtitle: "For B9 A4 FWD AND Quattro Models, 2.0TFSI Engines",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
  },
  audi14: {
    name: "2021-2024 Audi A4 FWD And Quattro",
    subtitle: "PRODUCTS COMING SOON",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
  },
  audi15: {
    name: "A5 2.0T Quattro (2013-2017)",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
  },
  audi16: {
    name: "A5 2.0T FWD/Quattro 2009-2017",
    subtitle: "For B8 A5 FWD AND Quattro Models, 2.0TFSI Engines",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
  },
  audi17: {
    name: "A5 2.0T Quattro (2018-2024)",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
  },
  audi18: {
    name: "S5 3.0T (2016-2024)",
    subtitle: "PRODUCTS COMING SOON",
    price: "Coming Soon",
    originalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI S5",
    rating: 5,
  },
  audi19: {
    name: "Audi Q3 FWD/Quattro 2015-2018",
    subtitle: "For Audi Q3 FWD and AWD 2.0T",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q3",
    rating: 5,
  },
  audi20: {
    name: "Audi Q3 Quattro 2019-2022",
    subtitle: "For Audi Q3 2019-2022 AWD 2.0T",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q3",
    rating: 5,
  },
  audi21: {
    name: "Q5 2009-2012",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
  },
  audi22: {
    name: "Q5 2013-2017",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
  },
  audi23: {
    name: "Q5 2018-2020",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
  },
  audi24: {
    name: "Audi Q5 TDI 3.0",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
  },
  audi25: {
    name: "TT 2000-2001 W/ATC Engine Code 180hp",
    subtitle: "For Audi TT with 1.8T ATC engine code",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  },
  audi26: {
    name: "TT 2000-2002 W/ AMU Engine Code 225hp",
    subtitle: "For Audi TT with 1.8T AMU engine code",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  },
  audi27: {
    name: "TT 2001-2006 W/AWP Engine Code 180hp",
    subtitle: "For Audi TT with 1.8T AWP engine code",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  },
  audi28: {
    name: "TT 2003-2006 W/ BEA Engine Code 225hp",
    subtitle: "For Audi TT with 1.8T BEA engine code",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  },
  audi29: {
    name: "TT 2006-2008 W/BPY Engine Code 180hp",
    subtitle: "For Audi TT with 2.0T BPY engine code",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  },
  audi30: {
    name: "TT MK2 2008-2014",
    subtitle: "For Audi TT with 2.0T CCTA engine code",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TTS",
    rating: 5,
  },
  audi31: {
    name: "TT MK3 2016-2023",
    subtitle: "For Audi TT 2016-2023 All Models",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TTS",
    rating: 5,
  },
  audi32: {
    name: "TTS 2009-2013",
    subtitle: "For Audi TTS 2009-2013 All Models",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  },
  audi33: {
    name: "TTS 2014-2023",
    subtitle: "For Audi TTS 2014-2023 All Models",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
  }
};

// Function to extract model ID from URL
function getModelFromUrl() {
  const urlParams = new URLSearchParams(window.location.search);
  return urlParams.get("model");
}

// Function to populate the page with model details
function loadModelDetails(modelId) {
  const model = modelDetails[modelId];
  if (model) {
    document.getElementById("item-title").innerText = model.name;
    document.getElementById("item-subtitle").innerText = model.subtitle;
    document.getElementById("sale-price").innerText = `Price: ${model.price}`;
    document.getElementById("remove-price").innerText = model.originalPrice;
    document.getElementById("remove-price").innerText = model.originalPrice;
    document.getElementById("description").innerText = model.description;
    document.getElementById("main-category").innerText = model.mainCategory;
    document.getElementById("sub-category").innerText = model.subCategory;
    document.getElementById("partno1").innerText = model.partnumber1;
    document.getElementById("partno2").innerText = model.partnumber2;

    // Generate stars for rating
    const starsContainer = document.getElementById("rating-stars");
    starsContainer.innerHTML = ""; // Clear any existing stars
    for (let i = 0; i < model.rating; i++) {
      const star = document.createElement("li");
      star.innerHTML = '<i class="fa-solid fa-star"></i>';
      starsContainer.appendChild(star);
    }
  } else {
    document.getElementById("item-title").innerText = "Model Not Found";
    document.getElementById("description").innerText =
      "The selected model does not exist.";
  }
}

// Run on page load
const modelId = getModelFromUrl();
loadModelDetails(modelId);
