function updatePrices(currency) {
  const priceElements = document.querySelectorAll(".sale_price");

  priceElements.forEach((element) => {
    const usdPrice = element.getAttribute("data-usd-price");
    const cadPrice = element.getAttribute("data-cad-price");

    if (currency === "USD") {
      element.textContent = usdPrice;
    } else if (currency === "CAD") {
      element.textContent = cadPrice;
    }
  });
}

document
  .getElementById("currencySelect")
  .addEventListener("change", function () {
    const selectedCurrency = this.value;
    updatePrices(selectedCurrency);
  });

updatePrices(document.getElementById("currencySelect").value);

document.addEventListener("DOMContentLoaded", function () {
  document
    .getElementById("modelSelect")
    .addEventListener("change", updateYearOptions);
  document
    .getElementById("searchButton")
    .addEventListener("click", filterResults);
});

function updateYearOptions() {
  var model = document.getElementById("modelSelect").value;
  var yearSelect = document.getElementById("yearSelect");

  var yearOptions = yearSelect.querySelectorAll("option");
  yearOptions.forEach(function (option) {
    if (option.value === "") {
      option.style.display = "block";
    } else {
      option.style.display = "none";
    }
  });

  if (model) {
    var relevantOptions = yearSelect.querySelectorAll("option." + model);
    relevantOptions.forEach(function (option) {
      option.style.display = "block";
    });
  }
}

function filterResults() {
  var model = document.getElementById("modelSelect").value;
  var year = document.getElementById("yearSelect").value;

  var orangeBoxes = document.querySelectorAll(".orangebox");
  orangeBoxes.forEach(function (box) {
    box.style.display = "none";
  });

  if (model === "F150" && year === "10-12") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div1").style.display = "block";
  } else if (model === "F150" && year === "13-17") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div2").style.display = "block";
    document.getElementById("div3").style.display = "block";
  } else if (model === "F150" && year === "18-20") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div4").style.display = "block";
  } else if (model === "F150" && year === "all") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div1").style.display = "block";
    document.getElementById("div2").style.display = "block";
    document.getElementById("div3").style.display = "block";
    document.getElementById("div4").style.display = "block";
  } else if (model === "TRANSIT" && year === "all") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div5").style.display = "block";
    document.getElementById("div6").style.display = "block";
  } else if (model === "TRANSIT" && year === "15-23") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div5").style.display = "block";
  } else if (model === "TRANSIT" && year === "14-18") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div6").style.display = "block";
  } else if (model === "EXPEDITION" && year === "all") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div9").style.display = "block";
    document.getElementById("div10").style.display = "block";
  } else if (model === "EXPEDITION" && year === "15-17") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div9").style.display = "block";
  } else if (model === "EXPEDITION" && year === "18-21") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div10").style.display = "block";
  } else if (model === "MUSTANG" && year === "all") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div11").style.display = "block";
  } else if (model === "FOCUS" && (year === "all" || year === "13-18")) {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div12").style.display = "block";
  } else if (model === "FUSION" && (year === "all" || year === "13-18")) {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div13").style.display = "block";
  } else if (model === "TAURUS" && (year === "all" || year === "13-18")) {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div14").style.display = "block";
  } else if (model === "ESCAPE" && year === "13-16") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div15").style.display = "block";
    document.getElementById("div17").style.display = "block";
  } else if (model === "ESCAPE" && year === "17-20") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div16").style.display = "block";
  } else if (model === "ESCAPE" && year === "all") {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div15").style.display = "block";
    document.getElementById("div16").style.display = "block";
    document.getElementById("div17").style.display = "block";
  } else if (model === "EDGE" && (year === "all" || year === "15-20")) {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div18").style.display = "block";
  } else if (model === "FIESTA" && (year === "all" || year === "14-19")) {
    var orangeBoxe = document.querySelectorAll(".orangeboxs");
    orangeBoxe.forEach(function (box) {
      box.style.display = "none";
    });
    document.getElementById("div19").style.display = "block";
  }
}
